> ## Documentation Index
> Fetch the complete documentation index at: https://docs.moralis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_call

> Executes a new message call immediately without creating a transaction on the blockchain.

#### Path parameters

<ResponseField name="apiKey" type="string" required>
  Your API key for authentication
</ResponseField>

#### Request

<ResponseField name="from" type="string">
  The address the transaction is sent from
</ResponseField>

<ResponseField name="to" type="string" required>
  The address the transaction is directed to
</ResponseField>

<ResponseField name="gas" type="string">
  Integer of the gas provided for the transaction execution
</ResponseField>

<ResponseField name="gasPrice" type="string">
  Integer of the gasPrice used for each paid gas
</ResponseField>

<ResponseField name="value" type="string">
  Integer of the value sent with this transaction
</ResponseField>

<ResponseField name="data" type="string">
  Hash of the method signature and encoded parameters
</ResponseField>

<ResponseField name="tag" type="string">
  Tag for the state ("latest", "earliest", "pending"). Defaults to "latest" if null
</ResponseField>

#### Example request `params`

```javascript theme={null}
[
  {
    "from": "0x0000000000000000000000000000000000000000",
    "to": "0x0000000000000000000000000000000000000000",
    "gas": "0x76c0",
    "gasPrice": "0x9184e72a000",
    "value": "0x9184e72a",
    "data": "0x"
  },
  "latest"
]
```

<RequestExample>
  ```shellscript curl theme={null}
  curl https://site1.moralis-nodes.com/flow/:apiKey \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc": "2.0", "method": "eth_call", "params": [{"from": "0xb60e8dd61c5d32be8058bb8eb970870f07233155", "to": "0xd46e8dd67c5d32be8058bb8eb970870f07244567", "gas": "0x76c0", "gasPrice": "0x9184e72a000", "value": "0x9184e72a", "data": "0xd46e8dd67c5d32be8d46e8dd67c5d32be8058bb8eb970870f072445675058bb8eb970870f072445675"}, "latest"], "id": 1}'
  ```
</RequestExample>

<ResponseExample>
  ```json JSON theme={null}
  {
    "jsonrpc": "2.0",
    "id": 1,
    "result": "0x15536ee"
  }
  ```
</ResponseExample>
